/* $Id: ReadCorr.java,v 1.1 2017/10/13 07:47:20 mit3 Exp $
/* ReadCorr.java v0.0 */
import java.io.*;
import java.net.*;
import java.util.*;

public class ReadCorr {
    private static int AllD;
    private static int col = 2;
    private static IGData[] D;
    private static String Error;
    private static BufferedReader bf;

    public ReadCorr(URL url) {
        Error = "";
        try {
            bf = new BufferedReader(new InputStreamReader(url.openStream()));
            this.readData();
        } catch (FileNotFoundException e1) {
            setError("File not found.");
        } catch (IOException e2) {
            setError("Can not Open.");
        }
    }
    public void close() {
        try {
            bf.close();
        } 
        catch (Exception e) {
            setError("c:"+e.toString());
        }
    }
    public void readData() {
        String line;
	String s[] = new String[col];
	double dataI = 0;
	double dataG = 0;
	D = new IGData[88];
	AllD = 0;

        try {
            for (;;) {
                line = bf.readLine();
                if (line == null)
                    break;

                s = StoS(line);
                for (int i = 0; i < col; i++) {
		     if (i%2 == 0)
			 dataI = Double.valueOf(s[i]).doubleValue();
		     else
			 dataG = Double.valueOf(s[i]).doubleValue();
		}

		D[AllD] = new IGData(dataI, dataG);
		AllD++;
            }
            close();
        } catch (Exception e) {
            setError("w:"+e.toString());
        }
    }
    public String[] StoS(String val) {
        StringTokenizer tk = new StringTokenizer(val, " ");
	String temp[] = new String[col];
        int m = tk.countTokens();

        for (int i = 0; i < m; i++) {
            try {
                temp[i] = tk.nextToken();
            }
            catch (NoSuchElementException e) {
                setError("No Token.");
            }
            catch(NumberFormatException e) {
                setError("Data Read Error.");
            }
        }

        return temp;
    }
    public void setError(String text) {
        Error = text;
    }
    public static IGData[] getData() {
        return D;
    }
    public static int getAllData() {
        return AllD;
    }
    public static String getError() {
        return Error;
    }
}
